Debian Bug report logs - #566051
poker-network: does not byte-compile Python files

version graph

Package: src:poker-network; Maintainer for src:poker-network is Loic Dachary (OuoU) <loic@debian.org>;

Reported by: dktrkranz@debian.org

Date: Wed, 20 Jan 2010 20:36:50 UTC

Severity: important

Found in versions poker-network/1.7.5-1.1, poker-network/1.7.6-1

Fixed in versions 1.7.6-1, poker-network/1.7.7-1

Done: Loic Dachary (OuoU) <loic@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Loic Dachary (OuoU) <loic@debian.org>:
Bug#566051; Package src:poker-network. (Wed, 20 Jan 2010 20:36:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to dktrkranz@debian.org:
New Bug report received and forwarded. Copy sent to Loic Dachary (OuoU) <loic@debian.org>. (Wed, 20 Jan 2010 20:36:53 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: dktrkranz@debian.org
To: maintonly@bugs.debian.org
Subject: poker-network: does not byte-compile Python files
Date: Wed, 20 Jan 2010 21:33:51 +0100
Source: poker-network
Version: 1.7.5-1.1
Severity: important
User: debian-python@lists.debian.org
Usertags: no-byte-compile

Your package does not byte-compile Python files. This task is usually
done by python-support or python-central, which also take care to
move files to the right location.

In order to fix this bug, you should build-depend on python-support
or python-central and be sure to call corresponding dh_* helper
(dh_pysupport or dh_pycentral) in your rules file (if needed).

In case you already build-depend on python-support or python-central,
you need to look where your files are installed, and eventually patch
upstream build routines to let helpers byte-compile Python files.




Reply sent to Evgeni Golov <evgeni@debian.org>:
You have taken responsibility. (Sat, 23 Jan 2010 11:42:07 GMT) Full text and rfc822 format available.

Notification sent to dktrkranz@debian.org:
Bug acknowledged by developer. (Sat, 23 Jan 2010 11:42:07 GMT) Full text and rfc822 format available.

Message #10 received at 566051-done@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 566051-done@bugs.debian.org
Subject: Fixed in last upload
Date: Sat, 23 Jan 2010 12:32:00 +0100
Version: 1.7.6-1

That was actually fixed in the last upload by using pycentral.
Closing for now.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Loic Dachary (OuoU) <loic@debian.org>:
Bug#566051; Package src:poker-network. (Sun, 07 Feb 2010 12:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Loic Dachary (OuoU) <loic@debian.org>. (Sun, 07 Feb 2010 12:27:09 GMT) Full text and rfc822 format available.

Message #15 received at 566051@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 566051@bugs.debian.org, Evgeni Golov <evgeni@debian.org>
Cc: control@bugs.debian.org
Subject: Re: Bug#566051 closed by Evgeni Golov <evgeni@debian.org> (Fixed in last upload)
Date: Sun, 7 Feb 2010 13:24:23 +0100
[Message part 1 (text/plain, inline)]
found 566051 1.7.6-1
thanks

>Version: 1.7.6-1
>
>That was actually fixed in the last upload by using pycentral.
>Closing for now.

No, the bug is not fixed at all:

$ ls -l /usr/lib/python2.5/site-packages/pokerprizes/
total 8
-rw-r--r-- 1 root root    0 Jan 17 17:51 __init__.py
-rw-r--r-- 1 root root 2253 Jan 17 17:51 prizes.py
-rw-r--r-- 1 root root 2330 Jan 17 17:51 tourneyselectinfo.py

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions poker-network/1.7.6-1 and reopened. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 07 Feb 2010 12:27:11 GMT) Full text and rfc822 format available.

Reply sent to Loic Dachary (OuoU) <loic@debian.org>:
You have taken responsibility. (Sun, 07 Feb 2010 17:21:17 GMT) Full text and rfc822 format available.

Notification sent to dktrkranz@debian.org:
Bug acknowledged by developer. (Sun, 07 Feb 2010 17:21:17 GMT) Full text and rfc822 format available.

Message #22 received at 566051-close@bugs.debian.org (full text, mbox):

From: Loic Dachary (OuoU) <loic@debian.org>
To: 566051-close@bugs.debian.org
Subject: Bug#566051: fixed in poker-network 1.7.7-1
Date: Sun, 07 Feb 2010 17:18:14 +0000
Source: poker-network
Source-Version: 1.7.7-1

We believe that the bug you reported is fixed in the latest version of
poker-network, which is due to be installed in the Debian FTP archive:

poker-network_1.7.7-1.diff.gz
  to main/p/poker-network/poker-network_1.7.7-1.diff.gz
poker-network_1.7.7-1.dsc
  to main/p/poker-network/poker-network_1.7.7-1.dsc
poker-network_1.7.7.orig.tar.gz
  to main/p/poker-network/poker-network_1.7.7.orig.tar.gz
poker-web_1.7.7-1_all.deb
  to main/p/poker-network/poker-web_1.7.7-1_all.deb
python-poker-network_1.7.7-1_all.deb
  to main/p/poker-network/python-poker-network_1.7.7-1_all.deb
python-poker-prizes_1.7.7-1_all.deb
  to main/p/poker-network/python-poker-prizes_1.7.7-1_all.deb
python-poker-stats_1.7.7-1_all.deb
  to main/p/poker-network/python-poker-stats_1.7.7-1_all.deb
python-poker2d_1.7.7-1_i386.deb
  to main/p/poker-network/python-poker2d_1.7.7-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Loic Dachary (OuoU) <loic@debian.org> (supplier of updated poker-network package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 06 Feb 2010 02:40:23 +0100
Source: poker-network
Binary: python-poker-network python-poker2d poker-web python-poker-stats python-poker-prizes
Architecture: source all i386
Version: 1.7.7-1
Distribution: unstable
Urgency: low
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Changed-By: Loic Dachary (OuoU) <loic@debian.org>
Description: 
 poker-web  - Web interface to a poker-network server
 python-poker-network - multiplayer poker server and client library
 python-poker-prizes - real prizes addon for poker-network
 python-poker-stats - statistics poker-network client
 python-poker2d - GTK poker client to play on a poker-network server
Closes: 566051
Changes: 
 poker-network (1.7.7-1) unstable; urgency=low
 .
   * new upstream version
   * use dh_python when possible (Closes: #566051)
Checksums-Sha1: 
 8cee8bef4814a18a06972646b3594f9974eaeafd 1526 poker-network_1.7.7-1.dsc
 7dc5bb78ed81196b1f9c3331a17bfcef8ba55b35 2736468 poker-network_1.7.7.orig.tar.gz
 44aae0785cdc8d0c5a3aa0b98928cb8cc1e886fd 40960 poker-network_1.7.7-1.diff.gz
 3fdbadcb0879cab7966042adbef79b9f8021525a 342554 python-poker-network_1.7.7-1_all.deb
 60bb0169076f9e355afac0bd4255a8a2cbb32ea6 264400 poker-web_1.7.7-1_all.deb
 d58cfe4ba1119f68b584536f934fcbb20c4a52d6 118136 python-poker-stats_1.7.7-1_all.deb
 78ec8640a3c67bfcae59bc243411305fe8c0f3d3 115354 python-poker-prizes_1.7.7-1_all.deb
 c090d3e1f9c18858052b5a71d414665ea3315777 1615866 python-poker2d_1.7.7-1_i386.deb
Checksums-Sha256: 
 6160b6c776e2235d3f2e7468f8919f1e4eb53eb67db0f2d21755934e83544c3d 1526 poker-network_1.7.7-1.dsc
 28f03afc781b20e82f97117c1c12b2aa156f5eedb7fee0dab1f8801296edbfe5 2736468 poker-network_1.7.7.orig.tar.gz
 c5841be5cf99113e74769da17053c86233e0e4894ba5e53bbdbac75b5a00bc36 40960 poker-network_1.7.7-1.diff.gz
 c15f8f81bddee774cef47145aba52cc2c89ef3af67b4caea926bedbd7c648245 342554 python-poker-network_1.7.7-1_all.deb
 a4d5621f83dc60214178c8b5565083fbb11e911cb3ef0965ad7d6dc042d82e20 264400 poker-web_1.7.7-1_all.deb
 6d44cb3fa15a58bd12cc351686286caad631fff39790afb5620a3f38d87c91ee 118136 python-poker-stats_1.7.7-1_all.deb
 23a853c988e522cc04ea549a3e6c4a750dbac552427d46c9f4aef40faeb3c4f8 115354 python-poker-prizes_1.7.7-1_all.deb
 f4312495ef676d8bd3a178544ab1be417f42da3ae430b72119ebc67e1d1da9dc 1615866 python-poker2d_1.7.7-1_i386.deb
Files: 
 c15345018735f64060a9730a24b41595 1526 python extra poker-network_1.7.7-1.dsc
 654b3ade37682f98e015d1e325557b92 2736468 python extra poker-network_1.7.7.orig.tar.gz
 c59f07da08b035d9fe376110d53d1e28 40960 python extra poker-network_1.7.7-1.diff.gz
 9dd923e9f62aa48f7a624336d7e6330a 342554 python extra python-poker-network_1.7.7-1_all.deb
 c9b21c91241529358045e6c7dda2c7ea 264400 web optional poker-web_1.7.7-1_all.deb
 d023498e4ccce73d6461dad5e9086878 118136 python optional python-poker-stats_1.7.7-1_all.deb
 27f98cba2ce2196ac2011d64b024cb85 115354 python optional python-poker-prizes_1.7.7-1_all.deb
 16b4a0a2edd85adb0a7884d67e9012be 1615866 games extra python-poker2d_1.7.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktu8uAACgkQ8dLMyEl6F23TIwCgmdNW9OyXUyq8qEko6ft5pJ7R
duAAniSqWNLoRx5iL2OS3UuBVbu+DC2+
=wNKN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 18 Mar 2010 07:33:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:19:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.